<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'modeartorgroupquery',

    /*
     * Modules.
     */
    'modules'   => ['modeartor_group_query'],

    
    'modeartor_group_query'       => [
        'model' => [
            'model'                 => \Litecms\Modeartorgroupquery\Models\ModeartorGroupQuery::class,
            'table'                 => 'modeartor_group_queries',
            'presenter'             => \Litecms\Modeartorgroupquery\Repositories\Presenter\ModeartorGroupQueryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['groupquery_id',  'user_id',  'transport_partner_id',  'final_rate',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'modeartorgroupquery/modeartor_group_query',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Modeartorgroupquery',
            'module'    => 'ModeartorGroupQuery',
        ],

    ],
];
