<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateModeartorGroupQueriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: modeartor_group_queries
         */
        Schema::create('modeartor_group_queries', function ($table) {
            $table->increments('id');
            $table->integer('groupquery_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('transport_partner_id')->nullable();
            $table->string('final_rate', 50)->nullable();
            $table->tinyInteger('status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('modeartor_group_queries');
    }
}
